//parameter return values
final static int INTVAL = 100;
final static int FLOATVAL = 101;

//general parameters
final static int DIRECTION = 201;

final int[] blends = {ADD, SUBTRACT, DARKEST, LIGHTEST, DIFFERENCE, EXCLUSION, MULTIPLY, SCREEN, OVERLAY, HARD_LIGHT, SOFT_LIGHT, DODGE, BURN};

//waveforms for oscillator
final static int SINE = 0; //add 0.25 to phase to get cos
final static int SAWTOOTH = 1;
final static int SAWTOOTHINVERSE = 2;
final static int SQUAR = 3; //switches between -1 and 1, that's all
final static int TRIANG = 4;
final static int TAN = 5;
final static int TANINVERSE = 6;
final static int RAMP = 7; //line for half the sequence up to 1, then stay at 1 for the other half
final static int RAMPINVERSE = 8; //line for half the sequence up to 1, then stay at 1 for the other half
final static int RAMPUPDOWN = 9; //line up, stay, line down, stay
final static int RANDOM = 10;


// LENS TYPES for imagelens
final static int LINEAR = 0;
final static int POWER = 1;
final static int POLAR = 2;
final static int SINUSOIDAL = 3;

// general channels to work with
final static int RED = 0;
final static int GREEN = 1;
final static int BLUE = 2;
final static int HUE = 3;
final static int SATURATION = 4;
final static int BRIGHTNESS = 5;
final static int NRED = 6;
final static int NGREEN = 7;
final static int NBLUE = 8;
final static int NHUE = 9;
final static int NSATURATION = 10;
final static int NBRIGHTNESS = 11;



// FLAGS, ALGORITHMS and EASING mathod by sulej for ultimate sort



//colorspaces from tomasz sulej's FM effect

final static int COLORSPACES = 16;

final static int OHTA = 0;
// RGB == 1; defined in processing
final static int CMY = 2;
// HSB == 3; defined in processing
final static int XYZ = 4;
final static int YXY = 5;
final static int HCL = 6;
final static int LUV = 7;
final static int LAB = 8;
final static int HWB = 9;
final static int RGGBG = 10;
final static int YPbPr = 11;
final static int YCbCr = 12;
final static int YDbDr = 13;
final static int GS = 14;
final static int YUV = 15;


//available shaders
String availableFx[] = {
  "fxASDFPixelSort", 
  "fxDistorter", 
  "fxFM",
  "fxWZIP", 
  "fxAuEcho", 
  "fxSlitscan", 
  "fxWahWah", 
  "fxPhaser",
  "fxEcho", 
  "fxDarker", 
  "fxBrighter", 
  "fxAmplify", 
  "fxBrokenColorRot", 
  "fxPosterize", 
  "fxDual", 
  "fxGrauzone",
  "fxCopyZoom", 
  "fxSubtleSort", 
  "fxScanker", 
  "Mask",
  "fxDrawStrokes",
  "fxDrawGenerative",
  "fxPixelDrifter",
  "fxDripDrip",
  "fxWrongQSort",
  "fxVHS",
  "fxLZ77",
  "fxLens",
  "fxSlicer"
};
